All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas
Interface LinkPropertiesInterface

All Known Subinterfaces:
  BookmarkManagerInterface, BookmarkManagerV2Interface, CommandProcessorViewInterface, ComponentInterface, LevelTreeInterface, LevelTreeV2Interface, LevelTreeV3Interface, ServerNodeInterface, com.sas.servlet.beans.TransformationInterface

All Known Implementing Classes:
  _rprxIOMBookmarkManager, _rprxIOMBookmarkManagerV2, _rprxIOMLevelTree, _rprxIOMLevelTreeV2, _rprxIOMLevelTreeV3, _rprxJ2BookmarkManager, _rprxJ2BookmarkManagerV2, _rprxJ2LevelTree, _rprxJ2LevelTreeV2, _rprxJ2LevelTreeV3, _rprxJ2ServerNode, _rprxRemoteBookmarkManagerClient, _rprxRemoteBookmarkManagerV2Client, _rprxRemoteDesignTimeBookmarkManager, _rprxRemoteDesignTimeBookmarkManagerV2, _rprxRemoteDesignTimeLevelTree, _rprxRemoteDesignTimeLevelTreeV2, _rprxRemoteDesignTimeLevelTreeV3, _rprxRemoteDesignTimeServerNode, _rprxRemoteLevelTreeClient, _rprxRemoteLevelTreeV2Client, _rprxRemoteLevelTreeV3Client, _rprxRemoteServerNodeClient, Alarm, AlarmButtonModel, AnimationIconView, Applet, AppletVisualComponent, ArrowButton, AssociationList, BaseBorder, BaseButton, BaseCollection, BaseDataBean, BasicColorsCanvas, BasicColorsPanel, BookmarkManagerDelegate, BooleanData, BooleanOperator, Border, BorderedContainer, BorderedPanel, BoundedDouble, BoundedLong, BufferedPanel, Button, ButtonDialog, ButtonPanel, ButtonVisualComponent, ByteData, Canvas, CanvasVisualComponent, CatalogSelectorDialog, CharacterData, CheckBox, CheckBoxCell, CheckBoxVisualComponent, Choice, ChoiceVisualComponent, ClassPathClasses, ClassSelectorPanel, CloseCancelCustomizerDialog, Collection, CollectionMirror, Color, ColorComponent, ColorDialog, ColorList, ColorNameList, ColorPanel, ComboBox, CommandProcessor, Component, Component, ComponentVisualComponent, CompositeBorder, CompositeContainer, CompositePanel, Container, ContainerContainerComponent, ContainerVisualComponent, CurrentDate, CurrentTime, CustomColorsPanel, CustomizerDialog, CustomizerPanel, DataSetSelectorDialog, DataTableSortController, DateTimeMonitor, DefaultButtonListener, DefaultButtonModel, DefaultColorList, DefaultFontFamilyList, DefaultFontList, Dialog, DialogContainerComponent, DialogVisualComponent, Dictionary, DirectoryDialog, DoubleData, DualSelector, DynamicPropertyBag, EISSelectorDialog, File, FileComponent, FileList, FileListFiltersPanel, FileSystem, FileSystemList, Fireworks, FloatData, Font, FontComponent, FontDialog, FontList, FontPanel, Frame, FrameContainerComponent, FrameVisualComponent, GraphicalCheckBox, IconView, ImageAnimation, ImageLinkModel, ImageModel, ImageSequence, ImageView, IMDBTable, IndexedPropertyEditorHost, IntegerData, IntegerRange, com.sas.rmi.IOMBaseClient, com.sas.rmi.J2BaseClient, KeyCollection, Label, LabelView, LabelVisualComponent, LevelTreeDelegate, LibrarySelectorDialog, ListBox, ListBoxVisualComponent, LongData, Marquee, MessageBox, MetabaseSelectorDialog, NavigationBar, NodeDelegate, NumericTextField, ObjectData, OkCancelHelpDialog, OrderedCollection, OrderedListCollection, OrientationSelector, Panel, PanelContainerComponent, PanelVisualComponent, ParameterBag, Printer, PrinterList, ProgressDialog, PropertyEditorHost, PropertySheet, PushButton, RadioBox, RadioButton, RangeCollection, com.sas.rmi.RemoteBaseClient, com.sas.rmi.RemoteDesignTimeBaseClient, RemoteObjectCustomizerPanel, RemoteObjectSelectorDialog, RGBList, com.sas.rmi.RMIBaseClient, SASListDelegate, SASListNodeDelegate, SASProcedureTemplate, Scrollbar, Scrollbar, ScrollbarVisualComponent, ScrollPane, ScrollPaneContainerComponent, ScrollPaneVisualComponent, ScrollSlider, SelectionGroup, ServerNodeDelegate, Set, ShortData, SimpleJSTreeNode, SimpleTable, SliderListener, SortedCollection, SpinBox, SpinButton, StaticCollection, StaticDictionary, StaticOrderedCollection, StaticStringList, StaticTextModel, StatusStringData, StringCollection, StringComparator, StringData, StyledLabelView, TabBar, TabbedView, TabBorder, TabButton, TabButtonModel, TabFolder, TableView, Template, TextArea, TextAreaVisualComponent, TextBorder, TextEditComposite, TextField, TextFieldVisualComponent, TextLinkModel, TextValueModel, Timer, ToggleButton, ToggleButtonModel, Toolbar, ToolbarBorder, ToolbarButton, TransformingComparator, Tree, TreeView, UnitsBox, UpDownListBox, UpDownTextArea, URL, Windows95Border, WordWrapTextArea

    public interface LinkPropertiesInterface

The LinkPropertiesInterface interface allows the values of IDE properties on multiple components to be linked to one another such that when a property value changes, all property values which are linked to it get the new value.

Property links are generally sent from one component to another during a set accessor method call. Some set accessors check to make sure the set operation actually changes the value of the property. In such cases, the PropertyChangeEvent is only sent if the value changes. To prevent infinite loops in cases where a check is not made, the PropertyChangeEvent handler, propertyChanged, implements "Link Loop Avoidance". To avoid loops, each PropertyChangeEvent keeps a history of the property changes (ie. component/property pair) that have led up to this PropertyChangeEvent being sent. If a call to firePropertyChange would cause a loop, the call is short circuited since it should not result in an actual property value change.

Method Summary
`abstract void` | `addLink(java.lang.String property, ComponentInterface source_component, java.lang.String source_property)` addLink() adds a link between property on this component and source_property on source_component.
`abstract LinkPropertiesInfo` | `getLinkInfo()` This method is not intended to be used by SAS customers.
`abstract boolean` | `isLinked(java.lang.String property, ComponentInterface source_component, java.lang.String source_property)` isLinked() determines if property on this component is linked to source_property on source_component.
`abstract PropertyLinkInfo[]` | `queryLinks()` queryLinks() returns an array of PropertyLinkInfo objects containing information about properties on this component which are linked to properties on this or other components.
`abstract PropertyLinkInfo[]` | `queryLinks(java.lang.String property)` queryLinks() returns an array of PropertyLinkInfo objects containing information about the links to the specified property.
`abstract void` | `removeAllLinks()` removeAllLinks() removes all the links on this component.
`abstract void` | `removeLink(java.lang.String property, ComponentInterface source_component, java.lang.String source_property)` removeLink() removes a link between property on this component and source_property on source_component.
`abstract void` | `setLinkInfo(LinkPropertiesInfo info)` This method is not intended to be used by SAS customers.

Method Detail

### addLink

    void addLink(java.lang.String property,
                 ComponentInterface source_component,
                 java.lang.String source_property)

  addLink() adds a link between property on this component and source_property on source_component. The value of source_component.source_property will be read and set on property when addLink() is called. Whenever the value of source_component.source_property changes in the future, the value of this.property will be updated.

  Adding a link that already exists does nothing.

  Parameters:
    `property` - The property to be linked to source_property on source_component.
    `source_component` - The component with source_property.
    `source_property` - The property on source_component.
  See Also:
    `removeLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`

### removeLink

    void removeLink(java.lang.String property,
                    ComponentInterface source_component,
                    java.lang.String source_property)

  removeLink() removes a link between property on this component and source_property on source_component.

  Parameters:
    `property` - The property currently linked to source_property on source_component.
    `source_component` - The component with source_property.
    `source_property` - The property on source_component.
  See Also:
    `addLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`, `removeAllLinks()`

### removeAllLinks

    void removeAllLinks()

  removeAllLinks() removes all the links on this component.

  See Also:
    `removeLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`

### queryLinks

    PropertyLinkInfo[] queryLinks(java.lang.String property)

  queryLinks() returns an array of PropertyLinkInfo objects containing information about the links to the specified property.

  Parameters:
    `property` - The property to return the list of links for.
  Returns:
    An array of PropertyLinkInfo objects.
  See Also:
    `addLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`, `PropertyLinkInfo`

### queryLinks

    PropertyLinkInfo[] queryLinks()

  queryLinks() returns an array of PropertyLinkInfo objects containing information about properties on this component which are linked to properties on this or other components.

  Returns:
    A list of linked property names.
  See Also:
    `PropertyLinkInfo`, `addLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`, `queryLinks(java.lang.String)`

### isLinked

    boolean isLinked(java.lang.String property,
                     ComponentInterface source_component,
                     java.lang.String source_property)

  isLinked() determines if property on this component is linked to source_property on source_component.

  Parameters:
    `property` - The property potentially linked to source_property on source_component.
    `source_component` - The component with source_property.
    `source_property` - The property on source_component.
  Returns:
    true if the properties are linked, false if not.
  See Also:
    `addLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`, `queryLinks(java.lang.String)`

### getLinkInfo

    LinkPropertiesInfo getLinkInfo()

  This method is not intended to be used by SAS customers.

  getLinkInfo() returns an instance of LinkPropertiesInfo which contains the data needed by LinkPropertiesInterfaceSupport to implement the LinkPropertiesInterface.

  See Also:
    `LinkPropertiesInterfaceSupport`

### setLinkInfo

    void setLinkInfo(LinkPropertiesInfo info)

  This method is not intended to be used by SAS customers.

  setLinkInfo() sets an instance of LinkPropertiesInfo which contains the data needed by LinkPropertiesInterfaceSupport to implement the LinkPropertiesInterface.

  See Also:
    `LinkPropertiesInterfaceSupport`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.